if(typeof keyman === 'undefined') {
  console.log('Keyboard requires KeymanWeb 10.0 or later');
  if(typeof tavultesoft !== 'undefined') tavultesoft.keymanweb.util.alert("This keyboard requires KeymanWeb 10.0 or later");
} else {
KeymanWeb.KR(new Keyboard_naijatype());
}
function Keyboard_naijatype()
{
  var modCodes = keyman.osk.modifierCodes;
  var keyCodes = keyman.osk.keyCodes;

  this._v=(typeof keyman!="undefined"&&typeof keyman.version=="string")?parseInt(keyman.version,10):9;
  this.KI="Keyboard_naijatype";
  this.KN="Naija Type";
  this.KMINVER="10.0";
  this.KV=null;
  this.KDU=0;
  this.KH='<h1>Naija Type</h1> <p>This keyboard aims to serve all Nigerian languages, not just Hausa, Yoruba and Igbo, using the standard characters normally recommended for each script. </p> <p>Please write to keyboards@m.rowbory.co.uk if you need letters that are not provided here.</p>  <ul><li><b>On touch (phones/tablets)</b>, <ul><li>Press and hold a key for alternate characters similar to the letter you press. Then move your finger over to the letter you want.</li> <li>For most punctuation press and hold the . (full stop / period) key or the comma key on the left of the keyboard.</li> <li>Q, V and space have several combining letters so you can type o then hold on Q to choose the underline or underdot or an accent above.</li></ul></li> <li> <b>On a computer with physical keyboard</b> <ul><li>Press a key like the letter you want then use the semicolon to change its shape. <br/>eg <b>a ; → ə </b> <br /><b> U ; → Ʉ </b><br /><b> U ; ; ; → U̱</b></li> <li>Type the top-left back tick (`) and hold shift and press tilde (~) keys to add diacritics above the previous letter.  <br />eg <b>a ` → á</b><br /><b> e ; ~ → ε̃ </b></li> <li>Keep pressing these special keys to move through different options.</li> <li>The apostrophe, question mark and exclamation mark and dollar sign have several options activated by pressing the semicolon key. </li> <li>Try ctrl-alt (on a mac ctrl-option) then a letter to get a variation shape, eg ctrl-alt-e = ɛ.</li> <li>Double press space bar to get a full stop followed by a space. </li> <li>Double press apostrophe to get a saltillo character (like an apostrophe, but word-forming and not turned into curly quotes by word-processors). Shift-apostrophe-apostrophe to get the capital version. ? then ; rotates through ¿ and then the modifier letter vertical line which is also sometimes used for a caseless glottal. </li> <li>Underdot alternative: type main letter then ALT-FullStop, (Overdot with ALT-SHIFT-FullStop) </li> <li>Underline alternative: type letter then ALT-SHIFT-HYPHEN (overline with ALT-Hyphen) </li> <li>Vertical line above alternative: type letter then ALT-Backslash. </li></ul></li></ul> <h2>Version 49</h2> ';
  this.KM=0;
  this.KBVER="48";
  this.KMBM=modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.NO_CAPS /* 0x0370 */;
  this.KS=1;
  this.KVKD="T_a_underline T_e_underline T_i_underline T_o_underline T_u_underline T_n_underline T_a_underdot T_e_underdot T_i_underdot T_o_underdot T_u_underdot T_n_underdot T_s_underdot T_h_underdot T_ucA_underline T_ucE_underline T_ucI_underline T_ucO_underline T_ucU_underline T_ucN_underline T_ucA_underdot T_ucE_underdot T_ucI_underdot T_ucO_underdot T_ucU_underdot T_ucN_underdot T_ucS_underdot T_ucH_underdot T_n_bar T_ucN_bar T_q_acute T_q_grave T_q_nasal T_ucQ_acute T_ucQ_grave T_ucQ_nasal T_end_sentence T_a_nasal T_ucA_nasal T_a2_nasal T_ucA2_nasal T_e_nasal T_ucE_nasal T_e2_nasal T_ucE2_nasal T_i_nasal T_ucI_nasal T_i2_nasal T_ucI2_nasal T_u_nasal T_ucU_nasal T_o_nasal T_ucO_nasal T_o2_nasal T_ucO2_nasal T_thumbs_up T_hands_together";
  this.KVKL={
  "phone": {
    "font": "Andika Afr",
    "fontsize": "1.1em",
    "displayUnderlying": false,
    "layer": [
      {
        "id": "default",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "width": "95",
                "id": "K_Q",
                "pad": "1",
                "text": "q",
                "sk": [
                  {
                    "id": "T_q_acute",
                    "text": "q\u0301"
                  },
                  {
                    "id": "T_q_grave",
                    "text": "q\u0300"
                  },
                  {
                    "id": "T_q_nasal",
                    "text": "q\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0301",
                    "text": "\u0301"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0300",
                    "text": "\u0300"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0302",
                    "text": "\u0302"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_030C",
                    "text": "\u030C"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0303",
                    "text": "\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0304",
                    "text": "\u0304"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0331",
                    "text": "\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0323",
                    "text": "\u0323"
                  },
                  {
                    "id": "U_0307",
                    "text": "\u0307"
                  },
                  {
                    "id": "U_030D",
                    "text": "\u030D"
                  }
                ]
              },
              {
                "width": "95",
                "id": "K_W",
                "pad": "3",
                "text": "w"
              },
              {
                "width": "95",
                "id": "K_E",
                "pad": "3",
                "text": "e",
                "sk": [
                  {
                    "id": "U_025B",
                    "text": "\u025B"
                  },
                  {
                    "id": "T_e_underline",
                    "text": "e\u0331"
                  },
                  {
                    "id": "T_e_underdot",
                    "text": "e\u0323"
                  },
                  {
                    "id": "T_e_nasal",
                    "text": "e\u0303"
                  },
                  {
                    "id": "T_e2_nasal",
                    "text": "\u025B\u0303"
                  },
                  {
                    "id": "U_00E8",
                    "text": "\u00E8"
                  },
                  {
                    "id": "U_00E9",
                    "text": "\u00E9"
                  },
                  {
                    "id": "U_00EA",
                    "text": "\u00EA"
                  },
                  {
                    "id": "U_00EB",
                    "text": "\u00EB"
                  }
                ]
              },
              {
                "width": "95",
                "id": "K_R",
                "pad": "3",
                "text": "r"
              },
              {
                "width": "95",
                "id": "K_T",
                "pad": "3",
                "text": "t",
                "sk": [
                  {
                    "id": "U_00FE",
                    "text": "\u00FE"
                  }
                ]
              },
              {
                "width": "95",
                "id": "K_Y",
                "pad": "3",
                "text": "y",
                "sk": [
                  {
                    "id": "U_01B4",
                    "text": "\u01B4"
                  },
                  {
                    "id": "U_00FD",
                    "text": "\u00FD"
                  }
                ]
              },
              {
                "width": "95",
                "id": "K_U",
                "pad": "3",
                "text": "u",
                "sk": [
                  {
                    "id": "U_0289",
                    "text": "\u0289"
                  },
                  {
                    "id": "U_028A",
                    "text": "\u028A"
                  },
                  {
                    "id": "T_u_underline",
                    "text": "u\u0331"
                  },
                  {
                    "id": "T_u_underdot",
                    "text": "u\u0323"
                  },
                  {
                    "id": "T_u_nasal",
                    "text": "u\u0303"
                  },
                  {
                    "id": "U_00F9",
                    "text": "\u00F9"
                  },
                  {
                    "id": "U_00FA",
                    "text": "\u00FA"
                  },
                  {
                    "id": "U_00FB",
                    "text": "\u00FB"
                  },
                  {
                    "id": "U_00FC",
                    "text": "\u00FC"
                  }
                ]
              },
              {
                "width": "95",
                "id": "K_I",
                "pad": "3",
                "text": "i",
                "sk": [
                  {
                    "id": "U_0268",
                    "text": "\u0268"
                  },
                  {
                    "id": "T_i_underline",
                    "text": "i\u0331"
                  },
                  {
                    "id": "T_i_underdot",
                    "text": "i\u0323"
                  },
                  {
                    "id": "T_i_nasal",
                    "text": "i\u0303"
                  },
                  {
                    "id": "T_i2_nasal",
                    "text": "\u0268\u0303"
                  },
                  {
                    "id": "U_026A",
                    "text": "\u026A"
                  },
                  {
                    "id": "U_00EC",
                    "text": "\u00EC"
                  },
                  {
                    "id": "U_00ED",
                    "text": "\u00ED"
                  },
                  {
                    "id": "U_00EE",
                    "text": "\u00EE"
                  },
                  {
                    "id": "U_00EF",
                    "text": "\u00EF"
                  }
                ]
              },
              {
                "width": "95",
                "id": "K_O",
                "pad": "3",
                "text": "o",
                "sk": [
                  {
                    "id": "U_0254",
                    "text": "\u0254"
                  },
                  {
                    "id": "T_o_underline",
                    "text": "o\u0331"
                  },
                  {
                    "id": "T_o_underdot",
                    "text": "o\u0323"
                  },
                  {
                    "id": "T_o_nasal",
                    "text": "\u00F5"
                  },
                  {
                    "id": "T_o2_nasal",
                    "text": "\u0254\u0303"
                  },
                  {
                    "id": "U_00F2",
                    "text": "\u00F2"
                  },
                  {
                    "id": "U_00F3",
                    "text": "\u00F3"
                  },
                  {
                    "id": "U_00F4",
                    "text": "\u00F4"
                  },
                  {
                    "id": "U_00F6",
                    "text": "\u00F6"
                  },
                  {
                    "id": "U_00F8",
                    "text": "\u00F8"
                  }
                ]
              },
              {
                "width": "95",
                "id": "K_P",
                "pad": "3",
                "text": "p"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "pad": "30",
                "text": "a",
                "sk": [
                  {
                    "id": "U_0259",
                    "text": "\u0259"
                  },
                  {
                    "id": "T_a_underline",
                    "text": "a\u0331"
                  },
                  {
                    "id": "T_a_underdot",
                    "text": "a\u0323"
                  },
                  {
                    "id": "T_a_nasal",
                    "text": "\u00E3"
                  },
                  {
                    "id": "T_a2_nasal",
                    "text": "\u0259\u0303"
                  },
                  {
                    "id": "U_00E0",
                    "text": "\u00E0"
                  },
                  {
                    "id": "U_00E1",
                    "text": "\u00E1"
                  },
                  {
                    "id": "U_00E2",
                    "text": "\u00E2"
                  }
                ]
              },
              {
                "id": "K_S",
                "pad": "3",
                "text": "s",
                "sk": [
                  {
                    "id": "U_00DF",
                    "text": "\u00DF"
                  },
                  {
                    "id": "T_s_underdot",
                    "text": "s\u0323"
                  },
                  {
                    "id": "T_ucS_underdot",
                    "text": "S\u0323"
                  }
                ]
              },
              {
                "id": "K_D",
                "pad": "3",
                "text": "d",
                "sk": [
                  {
                    "layer": "default",
                    "id": "U_0257",
                    "text": "\u0257"
                  }
                ]
              },
              {
                "id": "K_F",
                "pad": "3",
                "text": "f"
              },
              {
                "id": "K_G",
                "pad": "3",
                "text": "g"
              },
              {
                "id": "K_H",
                "pad": "3",
                "text": "h"
              },
              {
                "id": "K_J",
                "pad": "3",
                "text": "j"
              },
              {
                "id": "K_K",
                "pad": "3",
                "text": "k",
                "sk": [
                  {
                    "id": "U_0199",
                    "text": "\u0199"
                  }
                ]
              },
              {
                "id": "K_L",
                "pad": "3",
                "text": "l"
              },
              {
                "width": "5",
                "id": "T_spacer_default",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "shift",
                "width": "125",
                "id": "K_SHIFT",
                "pad": "1",
                "sp": "1",
                "text": "*Shift*",
                "sk": [
                  {
                    "nextlayer": "capslock",
                    "id": "K_CAPS",
                    "sp": "1",
                    "text": "*Caps*"
                  }
                ]
              },
              {
                "id": "K_Z",
                "pad": "9",
                "text": "z"
              },
              {
                "id": "K_X",
                "pad": "3",
                "text": "x"
              },
              {
                "id": "K_C",
                "pad": "3",
                "text": "c",
                "sk": [
                  {
                    "id": "U_00E7",
                    "text": "\u00E7"
                  },
                  {
                    "id": "U_0254",
                    "text": "\u0254"
                  }
                ]
              },
              {
                "id": "K_V",
                "pad": "3",
                "text": "v",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0301",
                    "text": "\u0301"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0300",
                    "text": "\u0300"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0302",
                    "text": "\u0302"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_030C",
                    "text": "\u030C"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0303",
                    "text": "\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0304",
                    "text": "\u0304"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0331",
                    "text": "\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0323",
                    "text": "\u0323"
                  },
                  {
                    "id": "U_0307",
                    "text": "\u0307"
                  },
                  {
                    "id": "U_030D",
                    "text": "\u030D"
                  }
                ]
              },
              {
                "id": "K_B",
                "pad": "3",
                "text": "b",
                "sk": [
                  {
                    "id": "U_0253",
                    "text": "\u0253"
                  }
                ]
              },
              {
                "id": "K_N",
                "pad": "3",
                "text": "n",
                "sk": [
                  {
                    "id": "U_014B",
                    "text": "\u014B"
                  },
                  {
                    "id": "U_0272",
                    "text": "\u0272"
                  },
                  {
                    "id": "U_00F1",
                    "text": "\u00F1"
                  },
                  {
                    "id": "T_n_underdot",
                    "text": "n\u0323"
                  },
                  {
                    "id": "T_n_underline",
                    "text": "n\u0331"
                  },
                  {
                    "id": "T_n_bar",
                    "text": "n\u0304"
                  }
                ]
              },
              {
                "id": "K_M",
                "pad": "3",
                "text": "m",
                "sk": [
                  {
                    "id": "U_0271",
                    "text": "\u0271"
                  },
                  {
                    "id": "U_0303",
                    "text": "_\u0303"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "115",
                "id": "K_BKSP",
                "pad": "10",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "125",
                "id": "K_NUMLOCK",
                "pad": "1",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "80",
                "id": "K_LOPT",
                "pad": "3",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "id": "K_COMMA",
                "pad": "10",
                "text": ",",
                "sk": [
                  {
                    "id": "U_a78c",
                    "text": "\uA78C"
                  },
                  {
                    "id": "U_a78b",
                    "text": "\uA78B"
                  },
                  {
                    "id": "U_2018",
                    "text": "\u2018"
                  },
                  {
                    "id": "U_2019",
                    "text": "\u2019"
                  },
                  {
                    "id": "U_201C",
                    "text": "\u201C"
                  },
                  {
                    "id": "U_201D",
                    "text": "\u201D"
                  },
                  {
                    "id": "U_003C",
                    "text": "<"
                  },
                  {
                    "id": "U_003E",
                    "text": ">"
                  },
                  {
                    "id": "U_0040",
                    "text": "@"
                  }
                ]
              },
              {
                "width": "428",
                "id": "K_SPACE",
                "pad": "3",
                "sk": [
                  {
                    "layer": "shift",
                    "id": "K_HYPHEN",
                    "text": "_"
                  },
                  {
                    "id": "K_HYPHEN",
                    "text": "-"
                  },
                  {
                    "id": "U_2013",
                    "text": "\u2013"
                  },
                  {
                    "id": "U_2014",
                    "text": "\u2014"
                  },
                  {
                    "id": "U_00A0",
                    "text": "nbsp"
                  }
                ]
              },
              {
                "id": "K_PERIOD",
                "pad": "3",
                "text": ".",
                "sk": [
                  {
                    "id": "U_0022",
                    "text": "\""
                  },
                  {
                    "id": "K_SLASH",
                    "text": "/"
                  },
                  {
                    "id": "U_005C",
                    "text": "\\"
                  },
                  {
                    "id": "U_003A",
                    "text": ":"
                  },
                  {
                    "id": "U_003B",
                    "text": ";"
                  },
                  {
                    "id": "U_0027",
                    "text": "'"
                  },
                  {
                    "id": "U_002C",
                    "text": ","
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_003F",
                    "text": "?"
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_0021",
                    "text": "!"
                  },
                  {
                    "id": "U_00BF",
                    "text": "\u00BF"
                  },
                  {
                    "id": "U_2026",
                    "text": "\u2026"
                  }
                ]
              },
              {
                "nextlayer": "shift",
                "width": "115",
                "id": "K_ENTER",
                "pad": "10",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "shift",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_Q",
                "pad": "1",
                "text": "Q",
                "sk": [
                  {
                    "id": "T_ucQ_acute",
                    "text": "Q\u0301"
                  },
                  {
                    "id": "T_ucQ_grave",
                    "text": "Q\u0300"
                  },
                  {
                    "id": "T_ucQ_nasal",
                    "text": "Q\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0301",
                    "text": "\u0301"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0300",
                    "text": "\u0300"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0302",
                    "text": "\u0302"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_030C",
                    "text": "\u030C"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0303",
                    "text": "\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0304",
                    "text": "\u0304"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0331",
                    "text": "\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0323",
                    "text": "\u0323"
                  },
                  {
                    "id": "U_0307",
                    "text": "\u0307"
                  },
                  {
                    "id": "U_030D",
                    "text": "\u030D"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_W",
                "pad": "3",
                "text": "W"
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_E",
                "pad": "3",
                "text": "E",
                "sk": [
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_0190",
                    "text": "\u0190"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucE_underline",
                    "text": "E\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucE_underdot",
                    "text": "E\u0323"
                  },
                  {
                    "id": "T_ucE_nasal",
                    "text": "E\u0303"
                  },
                  {
                    "id": "T_ucE2_nasal",
                    "text": "\u0190\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00C8",
                    "text": "\u00C8"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00C9",
                    "text": "\u00C9"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00CA",
                    "text": "\u00CA"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00CB",
                    "text": "\u00CB"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_R",
                "pad": "3",
                "text": "R"
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_T",
                "pad": "3",
                "text": "T"
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_Y",
                "pad": "3",
                "text": "Y",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_01B3",
                    "text": "\u01B3"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00DD",
                    "text": "\u00DD"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_U",
                "pad": "3",
                "text": "U",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0244",
                    "text": "\u0244"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_01B1",
                    "text": "\u01B1"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucU_underline",
                    "text": "U\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucU_underdot",
                    "text": "U\u0323"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_ucU_nasal",
                    "text": "U\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00D9",
                    "text": "\u00D9"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00DA",
                    "text": "\u00DA"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00DB",
                    "text": "\u00DB"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00DC",
                    "text": "\u00DC"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_I",
                "pad": "3",
                "text": "I",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0197",
                    "text": "\u0197"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucI_underline",
                    "text": "I\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucI_underdot",
                    "text": "I\u0323"
                  },
                  {
                    "id": "T_ucI_nasal",
                    "text": "I\u0303"
                  },
                  {
                    "id": "T_ucI2_nasal",
                    "text": "\u0197\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00CC",
                    "text": "\u00CC"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00CD",
                    "text": "\u00CD"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00CE",
                    "text": "\u00CE"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00CF",
                    "text": "\u00CF"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_O",
                "pad": "3",
                "text": "O",
                "sk": [
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_0186",
                    "text": "\u0186"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucO_underline",
                    "text": "O\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucO_underdot",
                    "text": "O\u0323"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucO_nasal",
                    "text": "\u00D5"
                  },
                  {
                    "id": "T_ucO2_nasal",
                    "text": "\u0186\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00D2",
                    "text": "\u00D2"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00D3",
                    "text": "\u00D3"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00D4",
                    "text": "\u00D4"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00D6",
                    "text": "\u00D6"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00D8",
                    "text": "\u00D8"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "95",
                "id": "K_P",
                "pad": "3",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "nextlayer": "default",
                "id": "K_A",
                "pad": "30",
                "text": "A",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_018F",
                    "text": "\u018F"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucA_underline",
                    "text": "A\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucA_underdot",
                    "text": "A\u0323"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_ucA_nasal",
                    "text": "\u00C3"
                  },
                  {
                    "id": "T_ucA2_nasal",
                    "text": "\u018F\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00C0",
                    "text": "\u00C0"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00C1",
                    "text": "\u00C1"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00C2",
                    "text": "\u00C2"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00C4",
                    "text": "\u00C4"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00C5",
                    "text": "\u00C5"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00C6",
                    "text": "\u00C6"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_S",
                "pad": "3",
                "text": "S",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_ucS_underdot",
                    "text": "S\u0323"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_D",
                "pad": "3",
                "text": "D",
                "sk": [
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_018A",
                    "text": "\u018A"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00D0",
                    "text": "\u00D0"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_F",
                "pad": "3",
                "text": "F"
              },
              {
                "nextlayer": "default",
                "id": "K_G",
                "pad": "3",
                "text": "G"
              },
              {
                "nextlayer": "default",
                "id": "K_H",
                "pad": "3",
                "text": "H"
              },
              {
                "nextlayer": "default",
                "id": "K_J",
                "pad": "3",
                "text": "J"
              },
              {
                "nextlayer": "default",
                "id": "K_K",
                "pad": "3",
                "text": "K",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0198",
                    "text": "\u0198"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_L",
                "pad": "3",
                "text": "L"
              },
              {
                "width": "5",
                "id": "T_new_404",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "default",
                "width": "125",
                "id": "K_SHIFT",
                "pad": "1",
                "sp": "2",
                "text": "*Shift*",
                "sk": [
                  {
                    "nextlayer": "capslock",
                    "id": "K_CAPS",
                    "sp": "1",
                    "text": "*Caps*"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_Z",
                "pad": "9",
                "text": "Z"
              },
              {
                "nextlayer": "default",
                "id": "K_X",
                "pad": "3",
                "text": "X"
              },
              {
                "nextlayer": "default",
                "id": "K_C",
                "pad": "3",
                "text": "C",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_00C7",
                    "text": "\u00C7"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_V",
                "pad": "3",
                "text": "V",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0301",
                    "text": "\u0301"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0300",
                    "text": "\u0300"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0302",
                    "text": "\u0302"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_030C",
                    "text": "\u030C"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0303",
                    "text": "\u0303"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0304",
                    "text": "\u0304"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0331",
                    "text": "\u0331"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_0323",
                    "text": "\u0323"
                  },
                  {
                    "id": "U_0307",
                    "text": "\u0307"
                  },
                  {
                    "id": "U_030D",
                    "text": "\u030D"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_B",
                "pad": "3",
                "text": "B",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_0181",
                    "text": "\u0181"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_N",
                "pad": "3",
                "text": "N",
                "sk": [
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_014A",
                    "text": "\u014A"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_019D",
                    "text": "\u019D"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "U_00D1",
                    "text": "\u00D1"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucN_underdot",
                    "text": "N\u0323"
                  },
                  {
                    "nextlayer": "default",
                    "layer": "default",
                    "id": "T_ucN_underline",
                    "text": "\u1E48"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_M",
                "pad": "3",
                "text": "M",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_2C6E",
                    "text": "\u2C6E"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "115",
                "id": "K_BKSP",
                "pad": "10",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "125",
                "id": "K_NUMLOCK",
                "pad": "1",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "80",
                "id": "K_LOPT",
                "pad": "3",
                "sp": "1",
                "text": "*Menu*",
                "sk": [
                  {
                    "id": "U_1F601",
                    "sp": "1",
                    "text": "\uD83D\uDE01"
                  },
                  {
                    "id": "U_1F602",
                    "sp": "1",
                    "text": "\uD83D\uDE02"
                  },
                  {
                    "id": "U_1F606",
                    "sp": "1",
                    "text": "\uD83D\uDE06"
                  },
                  {
                    "id": "U_1F609",
                    "sp": "1",
                    "text": "\uD83D\uDE09"
                  },
                  {
                    "id": "U_1F60F",
                    "sp": "1",
                    "text": "\uD83D\uDE0F"
                  },
                  {
                    "id": "U_1F610",
                    "sp": "1",
                    "text": "\uD83D\uDE10"
                  },
                  {
                    "id": "U_1F615",
                    "sp": "1",
                    "text": "\uD83D\uDE15"
                  },
                  {
                    "id": "U_1F617",
                    "sp": "1",
                    "text": "\uD83D\uDE17"
                  },
                  {
                    "id": "U_1F622",
                    "sp": "1",
                    "text": "\uD83D\uDE22"
                  },
                  {
                    "id": "U_1F62E",
                    "sp": "1",
                    "text": "\uD83D\uDE2E"
                  },
                  {
                    "id": "U_1F643",
                    "sp": "1",
                    "text": "\uD83D\uDE43"
                  },
                  {
                    "id": "U_1F644",
                    "sp": "1",
                    "text": "\uD83D\uDE44"
                  },
                  {
                    "id": "T_hands_together",
                    "sp": "1",
                    "text": "\uD83D\uDE4F"
                  },
                  {
                    "id": "T_thumbs_up",
                    "sp": "1",
                    "text": "\uD83D\uDC4D"
                  }
                ]
              },
              {
                "layer": "default",
                "id": "K_COMMA",
                "pad": "10",
                "text": ",",
                "sk": [
                  {
                    "id": "U_02C8",
                    "text": "\u02C8"
                  },
                  {
                    "id": "U_a78c",
                    "text": "\uA78C"
                  },
                  {
                    "id": "U_a78b",
                    "text": "\uA78B"
                  },
                  {
                    "layer": "default",
                    "id": "U_2018",
                    "text": "\u2018"
                  },
                  {
                    "layer": "default",
                    "id": "U_2019",
                    "text": "\u2019"
                  },
                  {
                    "layer": "default",
                    "id": "U_201C",
                    "text": "\u201C"
                  },
                  {
                    "layer": "default",
                    "id": "U_201D",
                    "text": "\u201D"
                  },
                  {
                    "layer": "default",
                    "id": "U_003C",
                    "text": "<"
                  },
                  {
                    "layer": "default",
                    "id": "U_003E",
                    "text": ">"
                  }
                ]
              },
              {
                "nextlayer": "shift",
                "layer": "shift",
                "width": "428",
                "id": "K_SPACE",
                "pad": "3",
                "sk": [
                  {
                    "nextlayer": "shift",
                    "layer": "shift",
                    "id": "K_HYPHEN",
                    "text": "_"
                  },
                  {
                    "id": "K_HYPHEN",
                    "text": "-"
                  },
                  {
                    "id": "U_2013",
                    "text": "\u2013"
                  },
                  {
                    "id": "U_2014",
                    "text": "\u2014"
                  }
                ]
              },
              {
                "layer": "default",
                "id": "K_PERIOD",
                "pad": "3",
                "text": ".",
                "sk": [
                  {
                    "layer": "default",
                    "id": "U_0022",
                    "text": "\""
                  },
                  {
                    "layer": "default",
                    "id": "K_SLASH",
                    "text": "/"
                  },
                  {
                    "layer": "default",
                    "id": "U_005C",
                    "text": "\\"
                  },
                  {
                    "layer": "default",
                    "id": "U_003A",
                    "text": ":"
                  },
                  {
                    "layer": "default",
                    "id": "U_003B",
                    "text": ";"
                  },
                  {
                    "layer": "default",
                    "id": "U_0027",
                    "text": "'"
                  },
                  {
                    "layer": "default",
                    "id": "U_002C",
                    "text": ","
                  },
                  {
                    "nextlayer": "shift",
                    "layer": "default",
                    "id": "U_003F",
                    "text": "?"
                  },
                  {
                    "nextlayer": "shift",
                    "layer": "default",
                    "id": "U_0021",
                    "text": "!"
                  },
                  {
                    "id": "U_00BF",
                    "text": "\u00BF"
                  },
                  {
                    "layer": "default",
                    "id": "U_2026",
                    "text": "\u2026"
                  }
                ]
              },
              {
                "nextlayer": "shift",
                "width": "115",
                "id": "K_ENTER",
                "pad": "10",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "numeric_old",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "width": "95",
                "id": "K_1",
                "pad": "1",
                "text": "1"
              },
              {
                "width": "95",
                "id": "K_2",
                "pad": "3",
                "text": "2"
              },
              {
                "width": "95",
                "id": "K_3",
                "pad": "3",
                "text": "3"
              },
              {
                "width": "95",
                "id": "K_4",
                "pad": "3",
                "text": "4"
              },
              {
                "width": "95",
                "id": "K_5",
                "pad": "3",
                "text": "5"
              },
              {
                "width": "95",
                "id": "K_6",
                "pad": "3",
                "text": "6"
              },
              {
                "width": "95",
                "id": "K_7",
                "pad": "3",
                "text": "7"
              },
              {
                "width": "95",
                "id": "K_8",
                "pad": "3",
                "text": "8"
              },
              {
                "width": "95",
                "id": "K_9",
                "pad": "3",
                "text": "9"
              },
              {
                "width": "95",
                "id": "K_0",
                "pad": "3",
                "text": "0"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "U_20A6",
                "pad": "30",
                "text": "\u20A6",
                "sk": [
                  {
                    "id": "U_20A6",
                    "text": "\u20A6"
                  },
                  {
                    "layer": "shift",
                    "id": "K_4",
                    "text": "$"
                  },
                  {
                    "id": "U_00A3",
                    "text": "\u00A3"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_2",
                "pad": "3",
                "text": "@"
              },
              {
                "layer": "shift",
                "id": "K_3",
                "pad": "3",
                "text": "#",
                "sk": [
                  {
                    "id": "U_20A6",
                    "text": "\u20A6"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_5",
                "pad": "3",
                "text": "%"
              },
              {
                "layer": "shift",
                "id": "K_7",
                "pad": "3",
                "text": "&"
              },
              {
                "layer": "shift",
                "id": "K_HYPHEN",
                "pad": "3",
                "text": "_"
              },
              {
                "layer": "default",
                "id": "K_EQUAL",
                "pad": "3",
                "text": "="
              },
              {
                "layer": "shift",
                "id": "K_BKSLASH",
                "pad": "3",
                "text": "|"
              },
              {
                "layer": "default",
                "id": "K_BKSLASH",
                "pad": "3",
                "text": "\\"
              },
              {
                "width": "5",
                "id": "T_new_574",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "symbol",
                "width": "125",
                "id": "K_SYMBOLS",
                "pad": "1",
                "sp": "1",
                "text": "*Symbol*"
              },
              {
                "id": "K_LBRKT",
                "pad": "9",
                "text": "[",
                "sk": [
                  {
                    "id": "U_00AB",
                    "text": "\u00AB"
                  },
                  {
                    "id": "U_003C",
                    "text": "<"
                  },
                  {
                    "id": "U_007B",
                    "text": "{"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_9",
                "pad": "3",
                "text": "("
              },
              {
                "layer": "shift",
                "id": "K_0",
                "pad": "3",
                "text": ")"
              },
              {
                "id": "K_RBRKT",
                "pad": "3",
                "text": "]",
                "sk": [
                  {
                    "id": "U_00BB",
                    "text": "\u00BB"
                  },
                  {
                    "id": "U_003E",
                    "text": ">"
                  },
                  {
                    "id": "U_007D",
                    "text": "}"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_EQUAL",
                "pad": "3",
                "text": "+"
              },
              {
                "layer": "default",
                "id": "K_HYPHEN",
                "pad": "3",
                "text": "-"
              },
              {
                "layer": "default",
                "id": "K_SLASH",
                "pad": "3",
                "text": "/"
              },
              {
                "width": "115",
                "id": "K_BKSP",
                "pad": "10",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "125",
                "id": "K_LOWER",
                "pad": "1",
                "sp": "2",
                "text": "*abc*"
              },
              {
                "id": "U_1F600",
                "pad": "9",
                "text": "\uD83D\uDE00",
                "sk": [
                  {
                    "id": "K_LOPT",
                    "text": "*Menu*"
                  },
                  {
                    "id": "U_1F601",
                    "text": "\uD83D\uDE01"
                  },
                  {
                    "id": "U_1F602",
                    "text": "\uD83D\uDE02"
                  },
                  {
                    "id": "U_1F606",
                    "text": "\uD83D\uDE06"
                  },
                  {
                    "id": "U_1F609",
                    "text": "\uD83D\uDE09"
                  },
                  {
                    "id": "U_1F60F",
                    "text": "\uD83D\uDE0F"
                  },
                  {
                    "id": "U_1F610",
                    "text": "\uD83D\uDE10"
                  },
                  {
                    "id": "U_1F615",
                    "text": "\uD83D\uDE15"
                  },
                  {
                    "id": "U_1F617",
                    "text": "\uD83D\uDE17"
                  },
                  {
                    "id": "U_1F622",
                    "text": "\uD83D\uDE22"
                  },
                  {
                    "id": "U_1F62E",
                    "text": "\uD83D\uDE2E"
                  },
                  {
                    "id": "U_1F643",
                    "text": "\uD83D\uDE43"
                  },
                  {
                    "id": "U_1F644",
                    "text": "\uD83D\uDE44"
                  },
                  {
                    "id": "T_hands_together",
                    "text": "\uD83D\uDE4F"
                  },
                  {
                    "id": "T_thumbs_up",
                    "text": "\uD83D\uDC4D"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_8",
                "pad": "5",
                "text": "*"
              },
              {
                "width": "407",
                "id": "K_SPACE",
                "pad": "3",
                "sk": [
                  {
                    "layer": "shift",
                    "id": "K_HYPHEN",
                    "text": "_"
                  },
                  {
                    "id": "K_HYPHEN",
                    "text": "-"
                  },
                  {
                    "id": "U_2013",
                    "text": "\u2013"
                  },
                  {
                    "id": "U_2014",
                    "text": "\u2014"
                  },
                  {
                    "id": "T_new_635",
                    "sp": "10"
                  }
                ]
              },
              {
                "id": "K_PERIOD",
                "pad": "3",
                "text": ".",
                "sk": [
                  {
                    "id": "U_0022",
                    "text": "\""
                  },
                  {
                    "id": "K_SLASH",
                    "text": "/"
                  },
                  {
                    "id": "U_005C",
                    "text": "\\"
                  },
                  {
                    "id": "U_003A",
                    "text": ":"
                  },
                  {
                    "id": "U_003B",
                    "text": ";"
                  },
                  {
                    "id": "U_0027",
                    "text": "'"
                  },
                  {
                    "id": "U_002C",
                    "text": ","
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_003F",
                    "text": "?"
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_0021",
                    "text": "!"
                  },
                  {
                    "id": "U_2026",
                    "text": "\u2026"
                  }
                ]
              },
              {
                "width": "115",
                "id": "K_ENTER",
                "pad": "10",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "symbol",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "width": "95",
                "id": "U_0060",
                "pad": "1",
                "text": "`"
              },
              {
                "width": "95",
                "id": "U_007E",
                "pad": "3",
                "text": "~"
              },
              {
                "width": "95",
                "id": "U_005E",
                "pad": "3",
                "text": "^"
              },
              {
                "width": "95",
                "id": "U_00A8",
                "pad": "3",
                "text": "\u00A8"
              },
              {
                "width": "95",
                "id": "U_00B4",
                "pad": "3",
                "text": "\u00B4"
              },
              {
                "width": "95",
                "id": "U_00B8",
                "pad": "3",
                "text": "\u00B8"
              },
              {
                "width": "95",
                "id": "U_00AF",
                "pad": "3",
                "text": "\u00AF"
              },
              {
                "width": "95",
                "id": "U_00BF",
                "pad": "3",
                "text": "\u00BF"
              },
              {
                "width": "95",
                "id": "U_00A1",
                "pad": "3",
                "text": "\u00A1"
              },
              {
                "width": "94",
                "id": "U_00AC",
                "pad": "3",
                "text": "\u00AC"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "U_00AA",
                "pad": "30",
                "text": "\u00AA"
              },
              {
                "id": "U_00BA",
                "pad": "3",
                "text": "\u00BA"
              },
              {
                "id": "U_00B6",
                "pad": "3",
                "text": "\u00B6"
              },
              {
                "id": "U_00A7",
                "pad": "3",
                "text": "\u00A7"
              },
              {
                "id": "U_00B1",
                "pad": "3",
                "text": "\u00B1"
              },
              {
                "id": "U_00D7",
                "pad": "3",
                "text": "\u00D7"
              },
              {
                "id": "U_00F7",
                "pad": "3",
                "text": "\u00F7"
              },
              {
                "id": "U_00A6",
                "pad": "3",
                "text": "\u00A6"
              },
              {
                "id": "U_00B0",
                "pad": "3",
                "text": "\u00B0"
              },
              {
                "width": "5",
                "id": "T_new_221",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "numeric_old",
                "width": "125",
                "id": "K_NUMLOCK",
                "pad": "1",
                "sp": "2",
                "text": "*123*"
              },
              {
                "id": "U_00B5",
                "pad": "9",
                "text": "\u00B5"
              },
              {
                "id": "U_00A9",
                "pad": "3",
                "text": "\u00A9"
              },
              {
                "id": "U_00AE",
                "pad": "3",
                "text": "\u00AE"
              },
              {
                "id": "U_00A3",
                "pad": "3",
                "text": "\u00A3"
              },
              {
                "id": "U_20AC",
                "pad": "3",
                "text": "\u20AC"
              },
              {
                "id": "U_00A5",
                "pad": "3",
                "text": "\u00A5"
              },
              {
                "id": "U_2022",
                "pad": "3",
                "text": "\u2022"
              },
              {
                "width": "115",
                "id": "K_BKSP",
                "pad": "10",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "125",
                "id": "K_LOWER",
                "pad": "1",
                "sp": "1",
                "text": "*abc*"
              },
              {
                "id": "U_1F600",
                "pad": "9",
                "text": "\uD83D\uDE00",
                "sk": [
                  {
                    "id": "K_LOPT",
                    "text": "*Menu*"
                  },
                  {
                    "id": "U_1F601",
                    "text": "\uD83D\uDE01"
                  },
                  {
                    "id": "U_1F602",
                    "text": "\uD83D\uDE02"
                  },
                  {
                    "id": "U_1F606",
                    "text": "\uD83D\uDE06"
                  },
                  {
                    "id": "U_1F609",
                    "text": "\uD83D\uDE09"
                  },
                  {
                    "id": "U_1F60F",
                    "text": "\uD83D\uDE0F"
                  },
                  {
                    "id": "U_1F610",
                    "text": "\uD83D\uDE10"
                  },
                  {
                    "id": "U_1F615",
                    "text": "\uD83D\uDE15"
                  },
                  {
                    "id": "U_1F617",
                    "text": "\uD83D\uDE17"
                  },
                  {
                    "id": "U_1F622",
                    "text": "\uD83D\uDE22"
                  },
                  {
                    "id": "U_1F62E",
                    "text": "\uD83D\uDE2E"
                  },
                  {
                    "id": "U_1F643",
                    "text": "\uD83D\uDE43"
                  },
                  {
                    "id": "U_1F644",
                    "text": "\uD83D\uDE44"
                  },
                  {
                    "id": "T_hands_together",
                    "text": "\uD83D\uDE4F"
                  },
                  {
                    "id": "T_thumbs_up",
                    "text": "\uD83D\uDC4D"
                  }
                ]
              },
              {
                "id": "K_COMMA",
                "pad": "3",
                "text": ",",
                "sk": [
                  {
                    "id": "U_a78c",
                    "text": "\uA78C"
                  },
                  {
                    "id": "U_a78b",
                    "text": "\uA78B"
                  },
                  {
                    "id": "U_2018",
                    "text": "\u2018"
                  },
                  {
                    "id": "U_2019",
                    "text": "\u2019"
                  },
                  {
                    "id": "U_201C",
                    "text": "\u201C"
                  },
                  {
                    "id": "U_201D",
                    "text": "\u201D"
                  },
                  {
                    "id": "U_003C",
                    "text": "<"
                  },
                  {
                    "id": "U_003E",
                    "text": ">"
                  }
                ]
              },
              {
                "width": "304",
                "id": "K_SPACE",
                "pad": "5",
                "sk": [
                  {
                    "layer": "shift",
                    "id": "K_HYPHEN",
                    "text": "_"
                  },
                  {
                    "id": "K_HYPHEN",
                    "text": "-"
                  },
                  {
                    "id": "U_2013",
                    "text": "\u2013"
                  },
                  {
                    "id": "U_2014",
                    "text": "\u2014"
                  }
                ]
              },
              {
                "nextlayer": "shift",
                "id": "K_PERIOD",
                "pad": "3",
                "text": ".",
                "sk": [
                  {
                    "id": "U_0022",
                    "text": "\""
                  },
                  {
                    "id": "U_005C",
                    "text": "\\"
                  },
                  {
                    "id": "U_003A",
                    "text": ":"
                  },
                  {
                    "id": "U_003B",
                    "text": ";"
                  },
                  {
                    "id": "U_0027",
                    "text": "'"
                  },
                  {
                    "id": "U_002C",
                    "text": ","
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_003F",
                    "text": "?"
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_0021",
                    "text": "!"
                  },
                  {
                    "id": "U_2026",
                    "text": "\u2026"
                  }
                ]
              },
              {
                "id": "U_00B7",
                "pad": "3",
                "text": "\u00B7"
              },
              {
                "width": "115",
                "id": "K_ENTER",
                "pad": "10",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "capslock",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_Q",
                "pad": "1",
                "text": "Q"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_W",
                "pad": "3",
                "text": "W"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_E",
                "pad": "3",
                "text": "E",
                "sk": [
                  {
                    "id": "U_0190",
                    "text": "\u0190"
                  },
                  {
                    "id": "T_ucE_underline",
                    "text": "E\u0331"
                  },
                  {
                    "id": "T_ucE_underdot",
                    "text": "E\u0323"
                  },
                  {
                    "id": "U_00C8",
                    "text": "\u00C8"
                  },
                  {
                    "id": "U_00C9",
                    "text": "\u00C9"
                  },
                  {
                    "id": "U_00CA",
                    "text": "\u00CA"
                  },
                  {
                    "id": "U_00CB",
                    "text": "\u00CB"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_R",
                "pad": "3",
                "text": "R"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_T",
                "pad": "3",
                "text": "T",
                "sk": [
                  {
                    "id": "U_00DE",
                    "text": "\u00DE"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_Y",
                "pad": "3",
                "text": "Y",
                "sk": [
                  {
                    "id": "U_00DD",
                    "text": "\u00DD"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_U",
                "pad": "3",
                "text": "U",
                "sk": [
                  {
                    "id": "U_0244",
                    "text": "\u0244"
                  },
                  {
                    "id": "U_01B1",
                    "text": "\u01B1"
                  },
                  {
                    "id": "T_ucU_underline",
                    "text": "U\u0331"
                  },
                  {
                    "id": "T_ucU_underdot",
                    "text": "U\u0323"
                  },
                  {
                    "id": "U_00D9",
                    "text": "\u00D9"
                  },
                  {
                    "id": "U_00DA",
                    "text": "\u00DA"
                  },
                  {
                    "id": "U_00DB",
                    "text": "\u00DB"
                  },
                  {
                    "id": "U_00DC",
                    "text": "\u00DC"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_I",
                "pad": "3",
                "text": "I",
                "sk": [
                  {
                    "id": "U_0197",
                    "text": "\u0197"
                  },
                  {
                    "id": "T_ucI_underline",
                    "text": "I\u0331"
                  },
                  {
                    "id": "T_ucI_underdot",
                    "text": "I\u0323"
                  },
                  {
                    "id": "U_00CC",
                    "text": "\u00CC"
                  },
                  {
                    "id": "U_00CD",
                    "text": "\u00CD"
                  },
                  {
                    "id": "U_00CE",
                    "text": "\u00CE"
                  },
                  {
                    "id": "U_00CF",
                    "text": "\u00CF"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_O",
                "pad": "3",
                "text": "O",
                "sk": [
                  {
                    "id": "U_0186",
                    "text": "\u0186"
                  },
                  {
                    "id": "T_ucO_underline",
                    "text": "O\u0331"
                  },
                  {
                    "id": "T_ucO_underdot",
                    "text": "O\u0323"
                  },
                  {
                    "id": "U_00D2",
                    "text": "\u00D2"
                  },
                  {
                    "id": "U_00D3",
                    "text": "\u00D3"
                  },
                  {
                    "id": "U_00D4",
                    "text": "\u00D4"
                  },
                  {
                    "id": "U_00D5",
                    "text": "\u00D5"
                  },
                  {
                    "id": "U_00D6",
                    "text": "\u00D6"
                  },
                  {
                    "id": "U_00D8",
                    "text": "\u00D8"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "width": "95",
                "id": "K_P",
                "pad": "3",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_A",
                "pad": "30",
                "text": "A",
                "sk": [
                  {
                    "id": "U_018F",
                    "text": "\u018F"
                  },
                  {
                    "id": "T_ucA_underline",
                    "text": "A\u0331"
                  },
                  {
                    "id": "T_ucA_underdot",
                    "text": "A\u0323"
                  },
                  {
                    "id": "U_00C3",
                    "text": "\u00C3"
                  },
                  {
                    "id": "U_00C0",
                    "text": "\u00C0"
                  },
                  {
                    "id": "U_00C1",
                    "text": "\u00C1"
                  },
                  {
                    "id": "U_00C2",
                    "text": "\u00C2"
                  },
                  {
                    "id": "U_00C4",
                    "text": "\u00C4"
                  },
                  {
                    "id": "U_00C5",
                    "text": "\u00C5"
                  },
                  {
                    "id": "U_00C6",
                    "text": "\u00C6"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_S",
                "pad": "3",
                "text": "S"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_D",
                "pad": "3",
                "text": "D",
                "sk": [
                  {
                    "id": "U_018A",
                    "text": "\u018A"
                  },
                  {
                    "id": "U_00D0",
                    "text": "\u00D0"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_F",
                "pad": "3",
                "text": "F"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_G",
                "pad": "3",
                "text": "G"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_H",
                "pad": "3",
                "text": "H"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_J",
                "pad": "3",
                "text": "J"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_K",
                "pad": "3",
                "text": "K",
                "sk": [
                  {
                    "id": "U_0198",
                    "text": "\u0198"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_L",
                "pad": "3",
                "text": "L"
              },
              {
                "width": "5",
                "id": "T_new_404",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "default",
                "width": "125",
                "id": "K_CAPS",
                "pad": "1",
                "sp": "2",
                "text": "*Caps*"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_Z",
                "pad": "9",
                "text": "Z"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_X",
                "pad": "3",
                "text": "X"
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_C",
                "pad": "3",
                "text": "C",
                "sk": [
                  {
                    "id": "U_00C7",
                    "text": "\u00C7"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_V",
                "pad": "3",
                "text": "V",
                "sk": [
                  {
                    "id": "U_01B2",
                    "text": "\u01B2"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_B",
                "pad": "3",
                "text": "B",
                "sk": [
                  {
                    "id": "U_0181",
                    "text": "\u0181"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_N",
                "pad": "3",
                "text": "N",
                "sk": [
                  {
                    "id": "U_014A",
                    "text": "\u014A"
                  },
                  {
                    "id": "U_019D",
                    "text": "\u019D"
                  },
                  {
                    "id": "U_00D1",
                    "text": "\u00D1"
                  },
                  {
                    "id": "T_ucN_underdot",
                    "text": "N\u0323"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "layer": "shift",
                "id": "K_M",
                "pad": "3",
                "text": "M",
                "sk": [
                  {
                    "id": "U_2C6E",
                    "text": "\u2C6E"
                  }
                ]
              },
              {
                "width": "115",
                "id": "K_BKSP",
                "pad": "10",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric_old",
                "width": "125",
                "id": "K_NUMLOCK",
                "pad": "1",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "80",
                "id": "U_1F600",
                "pad": "9",
                "text": "\uD83D\uDE00",
                "sk": [
                  {
                    "id": "K_LOPT",
                    "text": "*Menu*"
                  },
                  {
                    "id": "U_1F601",
                    "text": "\uD83D\uDE01"
                  },
                  {
                    "id": "U_1F602",
                    "text": "\uD83D\uDE02"
                  },
                  {
                    "id": "U_1F606",
                    "text": "\uD83D\uDE06"
                  },
                  {
                    "id": "U_1F609",
                    "text": "\uD83D\uDE09"
                  },
                  {
                    "id": "U_1F60F",
                    "text": "\uD83D\uDE0F"
                  },
                  {
                    "id": "U_1F610",
                    "text": "\uD83D\uDE10"
                  },
                  {
                    "id": "U_1F615",
                    "text": "\uD83D\uDE15"
                  },
                  {
                    "id": "U_1F617",
                    "text": "\uD83D\uDE17"
                  },
                  {
                    "id": "U_1F622",
                    "text": "\uD83D\uDE22"
                  },
                  {
                    "id": "U_1F62E",
                    "text": "\uD83D\uDE2E"
                  },
                  {
                    "id": "U_1F643",
                    "text": "\uD83D\uDE43"
                  },
                  {
                    "id": "U_1F644",
                    "text": "\uD83D\uDE44"
                  },
                  {
                    "id": "T_hands_together",
                    "text": "\uD83D\uDE4F"
                  },
                  {
                    "id": "T_thumbs_up",
                    "text": "\uD83D\uDC4D"
                  }
                ]
              },
              {
                "id": "K_COMMA",
                "pad": "5",
                "text": ",",
                "sk": [
                  {
                    "id": "U_a78c",
                    "text": "\uA78C"
                  },
                  {
                    "id": "U_a78b",
                    "text": "\uA78B"
                  },
                  {
                    "id": "U_2018",
                    "text": "\u2018"
                  },
                  {
                    "id": "U_2019",
                    "text": "\u2019"
                  },
                  {
                    "id": "U_201C",
                    "text": "\u201C"
                  },
                  {
                    "id": "U_201D",
                    "text": "\u201D"
                  },
                  {
                    "id": "U_003C",
                    "text": "<"
                  },
                  {
                    "id": "U_003E",
                    "text": ">"
                  }
                ]
              },
              {
                "nextlayer": "capslock",
                "width": "425",
                "id": "K_SPACE",
                "pad": "5",
                "sk": [
                  {
                    "layer": "shift",
                    "id": "K_HYPHEN",
                    "text": "_"
                  },
                  {
                    "id": "K_HYPHEN",
                    "text": "-"
                  },
                  {
                    "id": "T_new_270",
                    "sp": "10"
                  },
                  {
                    "id": "T_new_271",
                    "sp": "10"
                  },
                  {
                    "id": "U_2013",
                    "text": "\u2013"
                  },
                  {
                    "id": "U_2014",
                    "text": "\u2014"
                  }
                ]
              },
              {
                "nextlayer": "shift",
                "id": "K_PERIOD",
                "pad": "3",
                "text": ".",
                "sk": [
                  {
                    "id": "U_0022",
                    "text": "\""
                  },
                  {
                    "id": "U_005C",
                    "text": "\\"
                  },
                  {
                    "id": "U_003A",
                    "text": ":"
                  },
                  {
                    "id": "U_003B",
                    "text": ";"
                  },
                  {
                    "id": "U_0027",
                    "text": "'"
                  },
                  {
                    "id": "U_002C",
                    "text": ","
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_003F",
                    "text": "?"
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_0021",
                    "text": "!"
                  },
                  {
                    "id": "U_2026",
                    "text": "\u2026"
                  }
                ]
              },
              {
                "nextlayer": "shift",
                "width": "115",
                "id": "K_ENTER",
                "pad": "10",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "numeric",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "width": "195",
                "id": "K_1",
                "pad": "1",
                "text": "1"
              },
              {
                "width": "195",
                "id": "K_2",
                "pad": "5",
                "text": "2"
              },
              {
                "width": "195",
                "id": "K_3",
                "pad": "5",
                "text": "3"
              },
              {
                "nextlayer": "numeric",
                "layer": "default",
                "id": "K_SLASH",
                "pad": "30",
                "text": "/"
              },
              {
                "nextlayer": "numeric",
                "layer": "shift",
                "id": "K_8",
                "pad": "3",
                "text": "*"
              },
              {
                "nextlayer": "numeric",
                "layer": "default",
                "id": "K_HYPHEN",
                "pad": "3",
                "text": "-"
              },
              {
                "id": "K_LBRKT",
                "pad": "3",
                "text": "[",
                "sk": [
                  {
                    "id": "U_00AB",
                    "text": "\u00AB"
                  },
                  {
                    "id": "U_003C",
                    "text": "<"
                  },
                  {
                    "id": "U_007B",
                    "text": "{"
                  }
                ]
              },
              {
                "id": "K_RBRKT",
                "pad": "3",
                "text": "]",
                "sk": [
                  {
                    "id": "U_00BB",
                    "text": "\u00BB"
                  },
                  {
                    "id": "U_003E",
                    "text": ">"
                  },
                  {
                    "id": "U_007D",
                    "text": "}"
                  }
                ]
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "width": "195",
                "id": "K_4",
                "pad": "1",
                "text": "4"
              },
              {
                "width": "195",
                "id": "K_5",
                "pad": "5",
                "text": "5"
              },
              {
                "width": "195",
                "id": "K_6",
                "pad": "5",
                "text": "6"
              },
              {
                "layer": "default",
                "id": "K_BKSLASH",
                "pad": "30",
                "text": "\\"
              },
              {
                "layer": "shift",
                "id": "K_5",
                "pad": "3",
                "text": "%"
              },
              {
                "nextlayer": "numeric",
                "layer": "shift",
                "id": "K_EQUAL",
                "pad": "3",
                "text": "+"
              },
              {
                "layer": "shift",
                "id": "K_9",
                "pad": "3",
                "text": "("
              },
              {
                "layer": "shift",
                "id": "K_0",
                "pad": "3",
                "text": ")"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "width": "195",
                "id": "K_7",
                "pad": "1",
                "text": "7"
              },
              {
                "width": "195",
                "id": "K_8",
                "pad": "5",
                "text": "8"
              },
              {
                "width": "195",
                "id": "K_9",
                "pad": "5",
                "text": "9"
              },
              {
                "nextlayer": "symbol",
                "id": "K_SYMBOLS",
                "pad": "30",
                "sp": "1",
                "text": "*Symbol*"
              },
              {
                "layer": "shift",
                "id": "K_HYPHEN",
                "pad": "3",
                "text": "_"
              },
              {
                "nextlayer": "numeric",
                "layer": "default",
                "id": "K_EQUAL",
                "pad": "3",
                "text": "="
              },
              {
                "layer": "shift",
                "id": "K_BKSLASH",
                "pad": "3",
                "text": "|"
              },
              {
                "id": "K_BKSP",
                "pad": "3",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "112",
                "id": "K_LOWER",
                "pad": "1",
                "sp": "2",
                "text": "*abc*"
              },
              {
                "width": "80",
                "id": "K_LOPT",
                "pad": "3",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "195",
                "id": "K_0",
                "pad": "5",
                "text": "0"
              },
              {
                "nextlayer": "numeric",
                "width": "95",
                "id": "K_PERIOD",
                "pad": "5",
                "text": ".",
                "sk": [
                  {
                    "id": "U_0022",
                    "text": "\""
                  },
                  {
                    "id": "U_003A",
                    "text": ":"
                  },
                  {
                    "id": "U_003B",
                    "text": ";"
                  },
                  {
                    "id": "U_0027",
                    "text": "'"
                  },
                  {
                    "id": "U_002C",
                    "text": ","
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_003F",
                    "text": "?"
                  },
                  {
                    "nextlayer": "shift",
                    "id": "U_0021",
                    "text": "!"
                  },
                  {
                    "id": "U_2026",
                    "text": "\u2026"
                  }
                ]
              },
              {
                "nextlayer": "numeric",
                "width": "95",
                "id": "U_20A6",
                "pad": "5",
                "text": "\u20A6",
                "sk": [
                  {
                    "nextlayer": "numeric",
                    "layer": "shift",
                    "id": "K_4",
                    "text": "$"
                  },
                  {
                    "id": "U_00A2",
                    "text": "\u00A2"
                  },
                  {
                    "nextlayer": "numeric",
                    "id": "U_00A3",
                    "text": "\u00A3"
                  },
                  {
                    "nextlayer": "numeric",
                    "id": "U_20AC",
                    "text": "\u20AC"
                  },
                  {
                    "layer": "shift",
                    "id": "K_3",
                    "text": "#"
                  },
                  {
                    "id": "U_20A6",
                    "text": "\u20A6"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "width": "208",
                "id": "K_SPACE",
                "pad": "30"
              },
              {
                "layer": "shift",
                "id": "K_2",
                "pad": "3",
                "text": "@"
              },
              {
                "layer": "shift",
                "id": "K_7",
                "pad": "3",
                "text": "&"
              },
              {
                "id": "K_ENTER",
                "pad": "3",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      }
    ]
  }
}
;
  this.KCSS="body {\n     background: rgb(193, 194, 193);\n     font-family: \"Andika\",\"AndikaAfr\",\"Andika New Basic Compact\";\n }\n .kmw-key-row {\n }\n /* easier selecting from below *//*\n .phone .kmw-key-square-ex  {\n    margin: 0 0 -30px 5px;\n }\n .phone .kmw-key-square-ex .kmw-key-default {\n    margin: 0 0 30px 5px;\n }*/\n \n .phone.android .kmw-key.kmw-key-default, .phone.ios .kmw-key.kmw-key-default {\n color: black;\n background: none; /* white;*/\n border: none;\n font-size: 1.2em;\n }\n \n .phone.android .kmw-key-layer-group, .phone.ios .kmw-key-layer-group {\n     background: #eee;\n }\n .phone.android .kmw-key.kmw-key-shift, .phone.android .kmw-key.kmw-key-special, .phone.ios .kmw-key.kmw-key-shift, .phone.ios .kmw-key.kmw-key-special {\n     color: #333;\n     background: #ccc;\n }\n .phone.android .kmw-key.kmw-key-default.kmw-spacebar, .phone.ios .kmw-key.kmw-key-default.kmw-spacebar {\n     border: 1pt solid white;\n     border-bottom: none;\n }\n \n .phone.android .kmw-key-popup-icon, .phone.ios .kmw-key-popup-icon {\n     font-size: 0.8em;\n     /*top: 70%;\n     bottom: 0px;\n     right: 8%;\n     left: initial;*/\n     color: #8b8; \n }\n \n .phone.android #kmw-popup-keys {\n    border-radius: 10px; \n }\n \n .phone.android .kmw-banner-bar, .phone.ios .kmw-banner-bar {\n     background: #cdc;\n     color: #131;\n }\n \n .phone.android .kmw-suggestion-text, .phone.ios .kmw-suggestion-text {\n     color: #131;\n }\n \n .kmw-banner-bar .kmw-suggest-option {\n /* height: auto; */\n font-size: 85%;\n }\n \n .phone.android #kmw-popup-keys, .phone.ios #kmw-popup-keys {\n     background: #fff;\n }\n \n .phone.android #kmw-popup-keys .kmw-key.kmw-key-default, #kmw-popup-keys .kmw-key.kmw-key-default {\n background: #eee;\n }\n \n .phone.android #kmw-popup-keys .kmw-key.kmw-key-default.kmw-key-touched, #kmw-popup-keys .kmw-key.kmw-key-default.kmw-key-touched {\n background-color: #9e9;\n }\n \n .phone.android .kmw-key-touched,  .kmw-key-touched {\n background-color: #9e9;\n }\n \n .phone.android #kmw-popup-keys .kmw-key-square-ex .kmw-key,  #kmw-popup-keys .kmw-key-square-ex .kmw-key {\n margin-bottom: 30px;\n background: #eee;\n color: black;\n }\n .phone.android .kmw-keytip,  .kmw-keytip {\n margin-bottom: 15px;\n }\n #kmw-popup-keys { background-color: #eee; color: black;}\n \n @media (prefers-color-scheme: dark) {\n   div.ios div.kmw-keytip, div.android div.kmw-keytip {\n     background-color:#cdc;\n     color: #333;\n   }\n \n   /* Style for callout used on phones */\n   #kmw-popup-callout {\n     background-color: #eff3f9;\n   }\n }\n ";
  this.s_LtrsKey_12=";";
  this.s_ToneKey_13="`";
  this.s_NasalKey_14="~";
  this.s_smallCapsOn_15=KeymanWeb.KLOAD(this.KI,"smallCapsOn","");
  this.s_LtrsSET1_16="aəeɛiɨɪoɔuʊʉbɓcçdɗgɣhɦkƙnŋɲsʃvⱱyƴzʒ$₦£€₵qm!¡'ꞌꞋ?¿ˈʔ‘ꞌ’ꞌ“Ꞌ”ꞋAƏEƐIƗƗOƆUƱɄBƁCÇDƊGƔHꞪKƘNŊƝSƩVƲYƳZƷ$₦£€₵QM!¡'ꞌꞋ?¿ˈʔ‘ꞌ’ꞌ“Ꞌ”Ꞌ";
  this.s_LtrsSET2_17="əaɛeɨɪiɔoʊʉuɓbçcɗdɣgɦhƙkŋɲnʃsⱱvƴyʒz₦£€₵$qm¡!ꞌꞋ'¿ˈʔ?ꞌ‘ꞌ’Ꞌ“Ꞌ”ƏAƐEƗƗIƆOƱɄUƁBÇCƊDƔGꞪHƘKŊƝNƩSƲVƳYƷZ₦£€₵$QM¡!ꞌꞋ'¿ˈʔ?ꞌ‘ꞌ’Ꞌ“Ꞌ”";
  this.s_LtrsUnderlinable_18="aeiouhnsAEIOUHNS";
  this.s_LtrsUnderlineAfter_19="əɛɪɔʉɦɲʃƏƐƗƆɄꞪƝƩ";
  this.s_SmallCapsRef_20="abcdefghijklmnopqrstuvwyz";
  this.s_SmallCaps_21="ᴀʙᴄᴅᴇꜰɢʜɪᴊᴋʟᴍɴᴏᴘꞯʀꜱᴛᴜᴠᴡʏᴢ";
  this.s_Nasal_22="̃";
  this.s_Underline_23="̱";
  this.s_Underdot_24="̣";
  this.s_LtrsWithTone_25="aəeɛiɨɪoɔuʊʉnŋɲqmAƏEƐIƗƗOƆUƱɄNŊƝQM̱̣";
  this.s_LtrsWithNasal_26="aəeɛiɨɪoɔuʊʉnŋɲqmAƏEƐIƗƗOƆUƱɄNŊƝQM̱̣";
  this.s_Tone1st_27="́";
  this.s_ToneLast_28="̇";
  this.s_ToneCore_29="̀̂̌̄̍";
  this.s_ToneRota1_30="́̀̂̌̄̍";
  this.s_ToneRota2_31="̀̂̌̄̍̇";
  this.s_ToneSubset_32="́̀̂̌̄̍̇";
  this.s_TonesAll_33="́̀̂̌̄̍̇̋̏᷄᷅᷆᷇";
  this.s_WhiteSpace_34=[''," ",''];
  this.s_CurlyQuoteOpenBefore_35="QWERTYUIOPASDFGHJKLZXCVBNMqwertyuiopsdfghjklzxcvbnm";
  this.s_CurlyQuoteCloseAfter_36=".,!?";
  this.s_key_40=['','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',''];
  this.s_out_41="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
  this.s_caps_42="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  this.s_digit_43="0123456789";
  this.s_sentencePunctuation_47=".?!";
  this.s_changeshape_49=KeymanWeb.KLOAD(this.KI,"changeshape","1");
  this.s_canunderline_50="0";
  this.s55="";
  this.s56="numeric";
  this.s57="caps";
  this.s58="";
  this.s59="shift";
  this.s60="shift";
  this.s61="shift";
  this.s62="default";
  this.s64="1";
  this.s65="1";
  this.s66="1";
  this.s67="1";
  this.s68="1";
  this.s69="0";
  this.s70="1";
  this.s71="1";
  this.s72="shift";
  this.s73="shift";
  this.s74="shift";
  this.s75="shift";
  this.s76="shift";
  this.s77="default";
  this.s78="default";
  this.s79="default";
  this.s80="default";
  this.s81="shift";
  this.s82="shift";
  this.s83="shift";
  this.KVER="15.0.270.0";
  this.KVS=['s_smallCapsOn_15','s_changeshape_49'];
  this.gs=function(t,e) {
    return this.g_main_3(t,e);
  };
  this.gn=function(t,e) {
    return this.g_NewContext_0(t,e);
  };
  this.gpk=function(t,e) {
    return this.g_PostKeystroke_1(t,e);
  };
  this.gs=function(t,e) {
    return this.g_main_3(t,e);
  };
  this.g_NewContext_0=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
    if(!m) {
    
      r=this.g_detectStartOfSentence_2(t,e);
      m=2;
    }
    return r;
  };
  this.g_PostKeystroke_1=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(1,t,[{t:'a',a:this.s_digit_43}])&&k.KIFS(42,this.s55,t)&&k.KIFS(33,this.s56,t)){
        m=1;   // Line 168
      }
      else if(k.KIFS(33,this.s57,t)){
        m=1;   // Line 171
      }
      else if(k.KIFS(42,this.s58,t)){
        m=1;   // Line 175
        r=this.g_detectStartOfSentence_2(t,e);
        m=2;
      }
    return r;
  };
  this.g_detectStartOfSentence_2=function(t,e) {
    var k=KeymanWeb,r=1,m=0;
      if(k.KFCM(3,t,[{t:'a',a:this.s_sentencePunctuation_47},' ',' '])){
        m=1;   // Line 191
        k.KSETS(33,this.s61,t);
      }
      else if(k.KFCM(2,t,[{t:'a',a:this.s_sentencePunctuation_47},' '])){
        m=1;   // Line 190
        k.KSETS(33,this.s60,t);
      }
      else if(k.KFCM(1,t,[{t:'n'}])){
        m=1;   // Line 186
        k.KSETS(33,this.s59,t);
      }
    if(!m) {
    
      k.KSETS(33,this.s62,t);
    }
    return r;
  };
  this.g_main_3=function(t,e) {
    var k=KeymanWeb,r=0,m=0;
    if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_BKSP /* 0x08 */)) {
      if(k.KFCM(2,t,['.',' '])){
        r=m=1;   // Line 413
        k.KDC(2,t);
        k.KO(-1,t,".");
        k.KSETS(33,this.s81,t);
      }
      else if(k.KFCM(2,t,['!',' '])){
        r=m=1;   // Line 414
        k.KDC(2,t);
        k.KO(-1,t,"!");
        k.KSETS(33,this.s82,t);
      }
      else if(k.KFCM(2,t,['?',' '])){
        r=m=1;   // Line 415
        k.KDC(2,t);
        k.KO(-1,t,"?");
        k.KSETS(33,this.s83,t);
      }
      else if(k.KFCM(1,t,['̱'])){
        r=m=1;   // Line 215
        k.KDC(1,t);
        this.s_changeshape_49=this.s64;
      }
      else if(k.KFCM(1,t,['̣'])){
        r=m=1;   // Line 216
        k.KDC(1,t);
        this.s_changeshape_49=this.s65;
      }
      else if(k.KFCM(1,t,[{t:'a',a:this.s_LtrsSET1_16}])){
        r=m=1;   // Line 217
        k.KDC(1,t);
        this.s_changeshape_49=this.s66;
      }
      else if(k.KFCM(1,t,['.'])){
        r=m=1;   // Line 407
        k.KDC(1,t);
        k.KSETS(33,this.s77,t);
      }
      else if(k.KFCM(1,t,['!'])){
        r=m=1;   // Line 408
        k.KDC(1,t);
        k.KSETS(33,this.s78,t);
      }
      else if(k.KFCM(1,t,['?'])){
        r=m=1;   // Line 409
        k.KDC(1,t);
        k.KSETS(33,this.s79,t);
      }
      else if(k.KFCM(1,t,[' '])){
        r=m=1;   // Line 410
        k.KDC(1,t);
        k.KSETS(33,this.s80,t);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x100)) {
      if(1){
        r=m=1;   // Line 325
        k.KDC(0,t);
        k.KO(-1,t,"a̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x101)) {
      if(1){
        r=m=1;   // Line 326
        k.KDC(0,t);
        k.KO(-1,t,"e̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x102)) {
      if(1){
        r=m=1;   // Line 327
        k.KDC(0,t);
        k.KO(-1,t,"i̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x103)) {
      if(1){
        r=m=1;   // Line 328
        k.KDC(0,t);
        k.KO(-1,t,"o̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x104)) {
      if(1){
        r=m=1;   // Line 329
        k.KDC(0,t);
        k.KO(-1,t,"u̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x105)) {
      if(1){
        r=m=1;   // Line 330
        k.KDC(0,t);
        k.KO(-1,t,"ṉ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x106)) {
      if(1){
        r=m=1;   // Line 331
        k.KDC(0,t);
        k.KO(-1,t,"ạ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x107)) {
      if(1){
        r=m=1;   // Line 332
        k.KDC(0,t);
        k.KO(-1,t,"ẹ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x108)) {
      if(1){
        r=m=1;   // Line 333
        k.KDC(0,t);
        k.KO(-1,t,"ị");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x109)) {
      if(1){
        r=m=1;   // Line 334
        k.KDC(0,t);
        k.KO(-1,t,"ọ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10A)) {
      if(1){
        r=m=1;   // Line 335
        k.KDC(0,t);
        k.KO(-1,t,"ụ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10B)) {
      if(1){
        r=m=1;   // Line 336
        k.KDC(0,t);
        k.KO(-1,t,"ṇ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10C)) {
      if(1){
        r=m=1;   // Line 337
        k.KDC(0,t);
        k.KO(-1,t,"ṣ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10D)) {
      if(1){
        r=m=1;   // Line 338
        k.KDC(0,t);
        k.KO(-1,t,"ḥ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10E)) {
      if(1){
        r=m=1;   // Line 339
        k.KDC(0,t);
        k.KO(-1,t,"A̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10F)) {
      if(1){
        r=m=1;   // Line 340
        k.KDC(0,t);
        k.KO(-1,t,"E̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x110)) {
      if(1){
        r=m=1;   // Line 341
        k.KDC(0,t);
        k.KO(-1,t,"I̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x111)) {
      if(1){
        r=m=1;   // Line 342
        k.KDC(0,t);
        k.KO(-1,t,"O̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x112)) {
      if(1){
        r=m=1;   // Line 343
        k.KDC(0,t);
        k.KO(-1,t,"U̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x113)) {
      if(1){
        r=m=1;   // Line 344
        k.KDC(0,t);
        k.KO(-1,t,"Ṉ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x114)) {
      if(1){
        r=m=1;   // Line 345
        k.KDC(0,t);
        k.KO(-1,t,"Ạ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x115)) {
      if(1){
        r=m=1;   // Line 346
        k.KDC(0,t);
        k.KO(-1,t,"Ẹ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x116)) {
      if(1){
        r=m=1;   // Line 347
        k.KDC(0,t);
        k.KO(-1,t,"Ị");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x117)) {
      if(1){
        r=m=1;   // Line 348
        k.KDC(0,t);
        k.KO(-1,t,"Ọ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x118)) {
      if(1){
        r=m=1;   // Line 349
        k.KDC(0,t);
        k.KO(-1,t,"Ụ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x119)) {
      if(1){
        r=m=1;   // Line 350
        k.KDC(0,t);
        k.KO(-1,t,"Ṇ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11A)) {
      if(1){
        r=m=1;   // Line 351
        k.KDC(0,t);
        k.KO(-1,t,"Ṣ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11B)) {
      if(1){
        r=m=1;   // Line 352
        k.KDC(0,t);
        k.KO(-1,t,"Ḥ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11C)) {
      if(1){
        r=m=1;   // Line 353
        k.KDC(0,t);
        k.KO(-1,t,"n̄");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11D)) {
      if(1){
        r=m=1;   // Line 354
        k.KDC(0,t);
        k.KO(-1,t,"N̄");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11E)) {
      if(1){
        r=m=1;   // Line 355
        k.KDC(0,t);
        k.KO(-1,t,"q́");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11F)) {
      if(1){
        r=m=1;   // Line 356
        k.KDC(0,t);
        k.KO(-1,t,"q̀");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x120)) {
      if(1){
        r=m=1;   // Line 357
        k.KDC(0,t);
        k.KO(-1,t,"q̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x121)) {
      if(1){
        r=m=1;   // Line 358
        k.KDC(0,t);
        k.KO(-1,t,"Q́");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x122)) {
      if(1){
        r=m=1;   // Line 359
        k.KDC(0,t);
        k.KO(-1,t,"Q̀");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x123)) {
      if(1){
        r=m=1;   // Line 360
        k.KDC(0,t);
        k.KO(-1,t,"Q̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x124)) {
      if(1){
        r=m=1;   // Line 361
        k.KDC(0,t);
        k.KO(-1,t,". ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x125)) {
      if(1){
        r=m=1;   // Line 364
        k.KDC(0,t);
        k.KO(-1,t,"ã");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x126)) {
      if(1){
        r=m=1;   // Line 365
        k.KDC(0,t);
        k.KO(-1,t,"Ã");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x127)) {
      if(1){
        r=m=1;   // Line 366
        k.KDC(0,t);
        k.KO(-1,t,"ə̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x128)) {
      if(1){
        r=m=1;   // Line 367
        k.KDC(0,t);
        k.KO(-1,t,"Ə̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x129)) {
      if(1){
        r=m=1;   // Line 368
        k.KDC(0,t);
        k.KO(-1,t,"ẽ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12A)) {
      if(1){
        r=m=1;   // Line 369
        k.KDC(0,t);
        k.KO(-1,t,"Ẽ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12B)) {
      if(1){
        r=m=1;   // Line 370
        k.KDC(0,t);
        k.KO(-1,t,"ɛ̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12C)) {
      if(1){
        r=m=1;   // Line 371
        k.KDC(0,t);
        k.KO(-1,t,"Ɛ̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12D)) {
      if(1){
        r=m=1;   // Line 372
        k.KDC(0,t);
        k.KO(-1,t,"ĩ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12E)) {
      if(1){
        r=m=1;   // Line 373
        k.KDC(0,t);
        k.KO(-1,t,"Ĩ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12F)) {
      if(1){
        r=m=1;   // Line 374
        k.KDC(0,t);
        k.KO(-1,t,"ɨ̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x130)) {
      if(1){
        r=m=1;   // Line 375
        k.KDC(0,t);
        k.KO(-1,t,"Ɨ̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x131)) {
      if(1){
        r=m=1;   // Line 376
        k.KDC(0,t);
        k.KO(-1,t,"ũ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x132)) {
      if(1){
        r=m=1;   // Line 377
        k.KDC(0,t);
        k.KO(-1,t,"Ũ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x133)) {
      if(1){
        r=m=1;   // Line 378
        k.KDC(0,t);
        k.KO(-1,t,"õ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x134)) {
      if(1){
        r=m=1;   // Line 379
        k.KDC(0,t);
        k.KO(-1,t,"Õ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x135)) {
      if(1){
        r=m=1;   // Line 380
        k.KDC(0,t);
        k.KO(-1,t,"ɔ̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x136)) {
      if(1){
        r=m=1;   // Line 381
        k.KDC(0,t);
        k.KO(-1,t,"Ɔ̃");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x137)) {
      if(1){
        r=m=1;   // Line 384
        k.KDC(0,t);
        k.KO(-1,t,"👍🏾");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x138)) {
      if(1){
        r=m=1;   // Line 385
        k.KDC(0,t);
        k.KO(-1,t,"🙏🏾");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_SPACE /* 0x20 */)) {
      if(k.KFCM(2,t,['.',' '])){
        r=m=1;   // Line 392
        k.KDC(2,t);
        k.KO(-1,t,"   ");
      }
      else if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 209
        k.KDC(1,t);
        k.KO(-1,t,"” ");
      }
      else if(k.KFCM(1,t,[' '])){
        r=m=1;   // Line 393
        k.KDC(1,t);
        k.KO(-1,t,". ");
        k.KSETS(33,this.s72,t);
      }
      else if(k.KFCM(1,t,['.'])){
        r=m=1;   // Line 399
        k.KDC(1,t);
        k.KO(-1,t,". ");
        k.KSETS(33,this.s76,t);
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_1 /* 0x31 */)) {
      if(k.KFCM(1,t,[' '])){
        r=m=1;   // Line 398
        k.KDC(1,t);
        k.KO(-1,t,"! ");
        k.KSETS(33,this.s75,t);
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_QUOTE /* 0xDE */)) {
      if(k.KFCM(1,t,[{t:'a',a:this.s_CurlyQuoteCloseAfter_36}])){
        r=m=1;   // Line 210
        k.KDC(1,t);
        k.KIO(-1,this.s_CurlyQuoteCloseAfter_36,1,t);
        k.KO(-1,t,"”");
      }
      else if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 251
        k.KDC(1,t);
        k.KO(-1,t,"Ꞌ");
      }
      else if(k.KFCM(1,t,['”'])){
        r=m=1;   // Line 252
        k.KDC(1,t);
        k.KO(-1,t,"Ꞌ");
      }
      else if(k.KFCM(1,t,['“'])){
        r=m=1;   // Line 253
        k.KDC(1,t);
        k.KO(-1,t,"Ꞌ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_QUOTE /* 0xDE */)) {
      if(k.KFCM(1,t,['\''])){
        r=m=1;   // Line 248
        k.KDC(1,t);
        k.KO(-1,t,"ꞌ");
      }
      else if(k.KFCM(1,t,['‘'])){
        r=m=1;   // Line 249
        k.KDC(1,t);
        k.KO(-1,t,"ꞌ");
      }
      else if(k.KFCM(1,t,['’'])){
        r=m=1;   // Line 250
        k.KDC(1,t);
        k.KO(-1,t,"ꞌ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_COMMA /* 0xBC */)) {
      if(k.KFCM(1,t,[' '])){
        r=m=1;   // Line 390
        k.KDC(1,t);
        k.KO(-1,t,", ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4060 */, keyCodes.K_HYPHEN /* 0xBD */)) {
      if(1){
        r=m=1;   // Line 283
        k.KDC(0,t);
        k.KO(-1,t,"=");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_HYPHEN /* 0xBD */)) {
      if(1){
        r=m=1;   // Line 298
        k.KDC(0,t);
        k.KO(-1,t,"̱");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_PERIOD /* 0xBE */)) {
      if(k.KFCM(1,t,[' '])){
        r=m=1;   // Line 394
        k.KDC(1,t);
        k.KO(-1,t,". ");
        k.KSETS(33,this.s73,t);
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_PERIOD /* 0xBE */)) {
      if(1){
        r=m=1;   // Line 295
        k.KDC(0,t);
        k.KO(-1,t,"̣");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_COLON /* 0xBA */)) {
      if(k.KFCM(7,t,['v','e','r','s','i','o','n'])){
        r=m=1;   // Line 205
        k.KDC(7,t);
        k.KO(-1,t,"Keyboard version 48");
      }
      else if(k.KFCM(1,t,['̱'])){
        r=m=1;   // Line 269
        k.KDC(1,t);
        k.KO(-1,t,"̣");
      }
      else if(k.KFCM(1,t,['̣'])){
        r=m=1;   // Line 271
        k.KDC(1,t);
      }
      else if(k.KFCM(1,t,[{t:'a',a:this.s_LtrsUnderlineAfter_19}])){
        r=m=1;   // Line 274
        k.KDC(1,t);
        k.KIO(-1,this.s_LtrsUnderlinable_18,1,t);
        k.KO(-1,t,"̱");
      }
      else if(k.KFCM(1,t,[{t:'a',a:this.s_LtrsSET1_16}])){
        r=m=1;   // Line 275
        k.KDC(1,t);
        k.KIO(-1,this.s_LtrsSET2_17,1,t);
      }
      else if(k.KFCM(1,t,[']'])){
        r=m=1;   // Line 285
        k.KDC(1,t);
        k.KO(-1,t,"[");
      }
      else if(k.KFCM(1,t,['['])){
        r=m=1;   // Line 286
        k.KDC(1,t);
        k.KO(-1,t,"]");
      }
      else if(k.KFCM(1,t,['}'])){
        r=m=1;   // Line 287
        k.KDC(1,t);
        k.KO(-1,t,"{");
      }
      else if(k.KFCM(1,t,['{'])){
        r=m=1;   // Line 288
        k.KDC(1,t);
        k.KO(-1,t,"}");
      }
      else if(k.KFCM(1,t,['_'])){
        r=m=1;   // Line 289
        k.KDC(1,t);
        k.KO(-1,t,"+");
      }
      else if(k.KFCM(1,t,['-'])){
        r=m=1;   // Line 290
        k.KDC(1,t);
        k.KO(-1,t,"=");
      }
      else if(k.KFCM(1,t,['<'])){
        r=m=1;   // Line 291
        k.KDC(1,t);
        k.KO(-1,t,"M");
      }
      else if(k.KFCM(1,t,[','])){
        r=m=1;   // Line 292
        k.KDC(1,t);
        k.KO(-1,t,"m");
      }
      else if(1){
        r=m=1;   // Line 262
        k.KDC(0,t);
        k.KO(-1,t,";");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_COLON /* 0xBA */)) {
      if(1){
        r=m=1;   // Line 233
        k.KDC(0,t);
        k.KO(-1,t,";");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_EQUAL /* 0xBB */)) {
      if(k.KFCM(1,t,['='])&&this.s_smallCapsOn_15===this.s68){
        r=m=1;   // Line 229
        k.KDC(1,t);
        this.s_smallCapsOn_15=this.s69;
      }
      else if(k.KFCM(1,t,['='])&&this.s_smallCapsOn_15!==this.s70){
        r=m=1;   // Line 231
        k.KDC(1,t);
        this.s_smallCapsOn_15=this.s71;
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_PERIOD /* 0xBE */)) {
      if(1){
        r=m=1;   // Line 296
        k.KDC(0,t);
        k.KO(-1,t,"̇");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_SLASH /* 0xBF */)) {
      if(k.KFCM(1,t,[' '])){
        r=m=1;   // Line 397
        k.KDC(1,t);
        k.KO(-1,t,"? ");
        k.KSETS(33,this.s74,t);
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_2 /* 0x32 */)) {
      if(k.KFCM(1,t,['@'])){
        r=m=1;   // Line 254
        k.KDC(1,t);
        k.KO(-1,t,"Ꞌ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_A /* 0x41 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“A");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_A /* 0x41 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“A");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 322
        k.KDC(0,t);
        k.KO(-1,t,"Ə");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 322
        k.KDC(0,t);
        k.KO(-1,t,"Ə");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_B /* 0x42 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“B");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_B /* 0x42 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“B");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_B /* 0x42 */)) {
      if(1){
        r=m=1;   // Line 315
        k.KDC(0,t);
        k.KO(-1,t,"Ɓ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_B /* 0x42 */)) {
      if(1){
        r=m=1;   // Line 315
        k.KDC(0,t);
        k.KO(-1,t,"Ɓ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_C /* 0x43 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“C");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_C /* 0x43 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“C");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_D /* 0x44 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“D");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_D /* 0x44 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“D");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 316
        k.KDC(0,t);
        k.KO(-1,t,"Ɗ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 316
        k.KDC(0,t);
        k.KO(-1,t,"Ɗ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_E /* 0x45 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“E");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_E /* 0x45 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“E");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 321
        k.KDC(0,t);
        k.KO(-1,t,"Ɛ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 321
        k.KDC(0,t);
        k.KO(-1,t,"Ɛ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_F /* 0x46 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“F");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_F /* 0x46 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“F");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_G /* 0x47 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“G");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_G /* 0x47 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“G");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_H /* 0x48 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“H");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_H /* 0x48 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“H");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_I /* 0x49 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“I");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_I /* 0x49 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“I");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 319
        k.KDC(0,t);
        k.KO(-1,t,"Ɨ");
      }
    }
      if(m) {}
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 319
        k.KDC(0,t);
        k.KO(-1,t,"Ɨ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_J /* 0x4A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“J");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_J /* 0x4A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“J");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_K /* 0x4B */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“K");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_K /* 0x4B */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“K");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_K /* 0x4B */)) {
      if(1){
        r=m=1;   // Line 314
        k.KDC(0,t);
        k.KO(-1,t,"Ƙ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_K /* 0x4B */)) {
      if(1){
        r=m=1;   // Line 314
        k.KDC(0,t);
        k.KO(-1,t,"Ƙ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_L /* 0x4C */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“L");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_L /* 0x4C */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“L");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_M /* 0x4D */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“M");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_M /* 0x4D */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“M");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_N /* 0x4E */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“N");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_N /* 0x4E */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“N");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_N /* 0x4E */)) {
      if(1){
        r=m=1;   // Line 317
        k.KDC(0,t);
        k.KO(-1,t,"Ŋ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_N /* 0x4E */)) {
      if(1){
        r=m=1;   // Line 317
        k.KDC(0,t);
        k.KO(-1,t,"Ŋ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_O /* 0x4F */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“O");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_O /* 0x4F */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“O");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 318
        k.KDC(0,t);
        k.KO(-1,t,"Ɔ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 318
        k.KDC(0,t);
        k.KO(-1,t,"Ɔ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_P /* 0x50 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“P");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_P /* 0x50 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“P");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_Q /* 0x51 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“Q");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_Q /* 0x51 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“Q");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_R /* 0x52 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“R");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_R /* 0x52 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“R");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_S /* 0x53 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“S");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_S /* 0x53 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“S");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_T /* 0x54 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“T");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_T /* 0x54 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“T");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_U /* 0x55 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“U");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_U /* 0x55 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“U");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 320
        k.KDC(0,t);
        k.KO(-1,t,"Ʊ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 320
        k.KDC(0,t);
        k.KO(-1,t,"Ʊ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_V /* 0x56 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“V");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_V /* 0x56 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“V");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_W /* 0x57 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“W");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_W /* 0x57 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“W");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_X /* 0x58 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“X");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_X /* 0x58 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“X");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_Y /* 0x59 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“Y");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_Y /* 0x59 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“Y");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4160 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 313
        k.KDC(0,t);
        k.KO(-1,t,"Ƴ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4270 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 313
        k.KDC(0,t);
        k.KO(-1,t,"Ƴ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_Z /* 0x5A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“Z");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4210 */, keyCodes.K_Z /* 0x5A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“Z");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4060 */, keyCodes.K_LBRKT /* 0xDB */)) {
      if(1){
        r=m=1;   // Line 279
        k.KDC(0,t);
        k.KO(-1,t,"]");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_BKSLASH /* 0xDC */)) {
      if(1){
        r=m=1;   // Line 299
        k.KDC(0,t);
        k.KO(-1,t,"̍");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4060 */, keyCodes.K_RBRKT /* 0xDD */)) {
      if(1){
        r=m=1;   // Line 280
        k.KDC(0,t);
        k.KO(-1,t,"[");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4070 */, keyCodes.K_HYPHEN /* 0xBD */)) {
      if(1){
        r=m=1;   // Line 284
        k.KDC(0,t);
        k.KO(-1,t,"+");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_HYPHEN /* 0xBD */)) {
      if(1){
        r=m=1;   // Line 297
        k.KDC(0,t);
        k.KO(-1,t,"̄");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_BKQUOTE /* 0xC0 */)) {
      if(k.KFCM(1,t,[{t:'a',a:this.s_LtrsWithTone_25}])){
        r=m=1;   // Line 236
        k.KDC(1,t);
        k.KIO(-1,this.s_LtrsWithTone_25,1,t);
        k.KO(-1,t,"́");
      }
      else if(k.KFCM(1,t,[{t:'a',a:this.s_ToneRota1_30}])){
        r=m=1;   // Line 237
        k.KDC(1,t);
        k.KIO(-1,this.s_ToneRota2_31,1,t);
      }
      else if(k.KFCM(1,t,['̇'])){
        r=m=1;   // Line 238
        k.KDC(1,t);
      }
      else if(k.KFCM(1,t,['̃'])){
        r=m=1;   // Line 239
        k.KDC(1,t);
        k.KO(-1,t,"̃́");
      }
      else if(1){
        r=m=1;   // Line 263
        k.KDC(0,t);
        k.KO(-1,t,"`");
      }
    }
    else if(k.KKM(e, modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4040 */, keyCodes.K_BKQUOTE /* 0xC0 */)) {
      if(1){
        r=m=1;   // Line 258
        k.KDC(0,t);
        k.KO(-1,t,"`");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_A /* 0x41 */)) {
      if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴀ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_A /* 0x41 */)) {
      if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴀ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 312
        k.KDC(0,t);
        k.KO(-1,t,"ə");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_A /* 0x41 */)) {
      if(1){
        r=m=1;   // Line 312
        k.KDC(0,t);
        k.KO(-1,t,"ə");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_B /* 0x42 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“b");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʙ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_B /* 0x42 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“b");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʙ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_B /* 0x42 */)) {
      if(1){
        r=m=1;   // Line 305
        k.KDC(0,t);
        k.KO(-1,t,"ɓ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_B /* 0x42 */)) {
      if(1){
        r=m=1;   // Line 305
        k.KDC(0,t);
        k.KO(-1,t,"ɓ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_C /* 0x43 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“c");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴄ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_C /* 0x43 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“c");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴄ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_D /* 0x44 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“d");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴅ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_D /* 0x44 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“d");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴅ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 306
        k.KDC(0,t);
        k.KO(-1,t,"ɗ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_D /* 0x44 */)) {
      if(1){
        r=m=1;   // Line 306
        k.KDC(0,t);
        k.KO(-1,t,"ɗ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_E /* 0x45 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“e");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴇ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_E /* 0x45 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“e");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴇ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 311
        k.KDC(0,t);
        k.KO(-1,t,"ɛ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_E /* 0x45 */)) {
      if(1){
        r=m=1;   // Line 311
        k.KDC(0,t);
        k.KO(-1,t,"ɛ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_F /* 0x46 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“f");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ꜰ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_F /* 0x46 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“f");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ꜰ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_G /* 0x47 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“g");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ɢ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_G /* 0x47 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“g");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ɢ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_H /* 0x48 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“h");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʜ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_H /* 0x48 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“h");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʜ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_I /* 0x49 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“i");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ɪ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_I /* 0x49 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“i");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ɪ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 309
        k.KDC(0,t);
        k.KO(-1,t,"ɨ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_I /* 0x49 */)) {
      if(1){
        r=m=1;   // Line 309
        k.KDC(0,t);
        k.KO(-1,t,"ɨ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_J /* 0x4A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“j");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴊ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_J /* 0x4A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“j");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴊ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_K /* 0x4B */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“k");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴋ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_K /* 0x4B */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“k");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴋ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_K /* 0x4B */)) {
      if(1){
        r=m=1;   // Line 304
        k.KDC(0,t);
        k.KO(-1,t,"ƙ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_K /* 0x4B */)) {
      if(1){
        r=m=1;   // Line 304
        k.KDC(0,t);
        k.KO(-1,t,"ƙ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_L /* 0x4C */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“l");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʟ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_L /* 0x4C */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“l");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʟ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_M /* 0x4D */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“m");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴍ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_M /* 0x4D */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“m");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴍ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_N /* 0x4E */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“n");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ɴ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_N /* 0x4E */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“n");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ɴ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_N /* 0x4E */)) {
      if(1){
        r=m=1;   // Line 307
        k.KDC(0,t);
        k.KO(-1,t,"ŋ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_N /* 0x4E */)) {
      if(1){
        r=m=1;   // Line 307
        k.KDC(0,t);
        k.KO(-1,t,"ŋ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_O /* 0x4F */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“o");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴏ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_O /* 0x4F */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“o");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴏ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 308
        k.KDC(0,t);
        k.KO(-1,t,"ɔ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_O /* 0x4F */)) {
      if(1){
        r=m=1;   // Line 308
        k.KDC(0,t);
        k.KO(-1,t,"ɔ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_P /* 0x50 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“p");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴘ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_P /* 0x50 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“p");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴘ");
      }
    }
      if(m) {}
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_Q /* 0x51 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“q");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ꞯ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_Q /* 0x51 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“q");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ꞯ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_R /* 0x52 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“r");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʀ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_R /* 0x52 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“r");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʀ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_S /* 0x53 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“s");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ꜱ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_S /* 0x53 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“s");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ꜱ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_T /* 0x54 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“t");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴛ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_T /* 0x54 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“t");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴛ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_U /* 0x55 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“u");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴜ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_U /* 0x55 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“u");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴜ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 310
        k.KDC(0,t);
        k.KO(-1,t,"ʊ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_U /* 0x55 */)) {
      if(1){
        r=m=1;   // Line 310
        k.KDC(0,t);
        k.KO(-1,t,"ʊ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_V /* 0x56 */)) {
      if(k.KFCM(2,t,['k','b'])){
        r=m=1;   // Line 204
        k.KDC(2,t);
        k.KO(-1,t,"Keyboard version 48");
      }
      else if(k.KFCM(2,t,['v','v'])){
        r=m=1;   // Line 206
        k.KDC(2,t);
        k.KO(-1,t,"Keyboard version 48");
      }
      else if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“v");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴠ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_V /* 0x56 */)) {
      if(k.KFCM(2,t,['k','b'])){
        r=m=1;   // Line 204
        k.KDC(2,t);
        k.KO(-1,t,"Keyboard version 48");
      }
      else if(k.KFCM(2,t,['v','v'])){
        r=m=1;   // Line 206
        k.KDC(2,t);
        k.KO(-1,t,"Keyboard version 48");
      }
      else if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“v");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴠ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_W /* 0x57 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“w");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴡ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_W /* 0x57 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“w");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴡ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_X /* 0x58 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“x");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_X /* 0x58 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“x");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_Y /* 0x59 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“y");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʏ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_Y /* 0x59 */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“y");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ʏ");
      }
    }
    else if(k.KKM(e, modCodes.CTRL | modCodes.ALT | modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4260 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 303
        k.KDC(0,t);
        k.KO(-1,t,"ƴ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4170 */, keyCodes.K_Y /* 0x59 */)) {
      if(1){
        r=m=1;   // Line 303
        k.KDC(0,t);
        k.KO(-1,t,"ƴ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4110 */, keyCodes.K_Z /* 0x5A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“z");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴢ");
      }
    }
    else if(k.KKM(e, modCodes.NO_CAPS | modCodes.VIRTUAL_KEY /* 0x4200 */, keyCodes.K_Z /* 0x5A */)) {
      if(k.KFCM(1,t,['\"'])){
        r=m=1;   // Line 211
        k.KDC(1,t);
        k.KO(-1,t,"“z");
      }
      else if(this.s_smallCapsOn_15===this.s67){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"ᴢ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4070 */, keyCodes.K_LBRKT /* 0xDB */)) {
      if(1){
        r=m=1;   // Line 281
        k.KDC(0,t);
        k.KO(-1,t,"}");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_BKSLASH /* 0xDC */)) {
      if(1){
        r=m=1;   // Line 300
        k.KDC(0,t);
        k.KO(-1,t,"̍");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.CTRL | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4070 */, keyCodes.K_RBRKT /* 0xDD */)) {
      if(1){
        r=m=1;   // Line 282
        k.KDC(0,t);
        k.KO(-1,t,"{");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_BKQUOTE /* 0xC0 */)) {
      if(k.KFCM(2,t,['̃',{t:'a',a:this.s_ToneSubset_32}])){
        r=m=1;   // Line 244
        k.KDC(2,t);
        k.KIO(-1,this.s_ToneSubset_32,2,t);
      }
      else if(k.KFCM(2,t,[{t:'a',a:this.s_LtrsWithNasal_26},{t:'a',a:this.s_ToneSubset_32}])){
        r=m=1;   // Line 245
        k.KDC(2,t);
        k.KIO(-1,this.s_LtrsWithNasal_26,1,t);
        k.KO(-1,t,"̃");
        k.KIO(-1,this.s_ToneSubset_32,2,t);
      }
      else if(k.KFCM(1,t,[{t:'a',a:this.s_LtrsWithNasal_26}])){
        r=m=1;   // Line 242
        k.KDC(1,t);
        k.KIO(-1,this.s_LtrsWithNasal_26,1,t);
        k.KO(-1,t,"̃");
      }
      else if(k.KFCM(1,t,['̃'])){
        r=m=1;   // Line 243
        k.KDC(1,t);
      }
      else if(1){
        r=m=1;   // Line 264
        k.KDC(0,t);
        k.KO(-1,t,"~");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.ALT | modCodes.VIRTUAL_KEY /* 0x4050 */, keyCodes.K_BKQUOTE /* 0xC0 */)) {
      if(1){
        r=m=1;   // Line 259
        k.KDC(0,t);
        k.KO(-1,t,"~");
      }
    }
    return r;
  };
}
